#!/bin/sh

INCPATH=.
FILES=''

expandfile() {
	for i in $INCPATH
	do
		if [ -f $i/$1 ] 
		then
			echo $i/$1
			exit 0
		fi
	done
	echo "Fehler: Includedatei $1 existiert nicht" > /dev/stderr
	exit 1
}

findincludes() {
	for i in $*
	do
		for j in `sed -n 's/^#[Ii][Nn][Cc][Ll][Uu][Dd][Ee] *[<"]\([^>"]*\).*/\1/p' $i`
		do
			echo ' \'
			foo=`expandfile $j`
			echo -n ' '$foo
			findincludes $foo
		done
	done
}

while [ "x$1" != "x" ]
do
	case "$1" in
		-I*)
			INCPATH=$INCPATH' '${1##-I}
			#INCPATH=$INCPATH' '$(1)
			;;
		*)
			FILES=$FILES' '$1
			;;
	esac
	shift
done

export INCPATH
export FILES

for i in $FILES
do
	echo -n `echo $i | sed 's/.wml/.html/'`: $i
	findincludes $i
	echo
done
